# Makefile for the KLIPS interface utilities
# Copyright (C) 1998, 1999  Henry Spencer.
# Copyright (C) 1999, 2000, 2001  Richard Guy Briggs
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.  See <http://www.fsf.org/copyleft/gpl.txt>.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# RCSID $Id: Makefile,v 1.3 2002/12/12 06:03:41 mcr Exp $

FREESWANSRCDIR=../..
include ${FREESWANSRCDIR}/Makefile.inc

PROGRAM:=lwdnsq

OBJS:=cmds.o 

#
# A note about the -static here. We do not want to pull in all of openssl, and
# the dependancy that would result on it. Fortunately, if we statically link, 
# then we pull in only the code that we need. It also reduces run-time dependancies
# on additional libraries.
#

LIBS:=${FREESWANLIB} ${LWRESLIB} -L/sandel/lib -static -ldns -lisc 
CFLAGS+=-I${LWRESDIR}/include -I/sandel/include

include ../Makefile.program

#
# $Log: Makefile,v $
# Revision 1.3  2002/12/12 06:03:41  mcr
# 	added --regress option to force times to be regular
#
# Revision 1.2  2002/12/04 03:21:06  mcr
# 	DNS zone files (with signed versions) for DNSSEC enabled testing root.
#
# Revision 1.1  2002/10/30 02:25:31  mcr
# 	renamed version of files from dnskey/
#
# Revision 1.4  2002/10/18 04:08:02  mcr
# 	added -ldns and -lisc to libraries, but it isn't clear
# 	where we will find these only-slightly standard libraries yet.
#
# Revision 1.3  2002/10/09 20:13:10  mcr
# 	get appropriate LWRES include directory.
#
# Revision 1.2  2002/09/30 18:55:54  mcr
# 	skeleton for dnskey helper program.
#
# Revision 1.1  2002/09/30 16:50:23  mcr
# 	documentation for "dnskey" helper
#
#
#
